import UIButton from './UIButton.vue';
import type { ArgTypes, StoryObj } from '@storybook/vue3';
declare const meta: {
    title: string;
    component: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: {
                size?: "sm" | "md" | "lg" | undefined;
                type?: import("./UIButton.types").TypeButton | undefined;
                text?: string | undefined;
                class?: string | undefined;
                color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
                target?: string | undefined;
                href?: string | undefined;
                to?: import("vue-router").RouteLocationRaw | undefined;
                icon?: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip" | undefined;
                iconSize?: "sm" | "md" | "lg" | "xs" | "xl" | undefined;
                theme?: import("./UIButton.types").ThemeButton | undefined;
                align?: import("./UIButton.types").AlignButton | undefined;
                readonly block?: boolean | undefined;
                readonly loading?: boolean | undefined;
                style?: unknown;
                key?: string | number | symbol | undefined;
                ref?: import("vue").VNodeRef | undefined;
                ref_for?: boolean | undefined;
                ref_key?: string | undefined;
                onVnodeBeforeMount?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeMounted?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeBeforeUpdate?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, oldVNode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, oldVNode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeUpdated?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, oldVNode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, oldVNode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeBeforeUnmount?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeUnmounted?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                readonly reverseOrder?: boolean | undefined;
                readonly disabled?: boolean | undefined;
                readonly referrer?: boolean | undefined;
                readonly rounded?: boolean | undefined;
                onClicked?: ((event: Event) => any) | undefined;
            };
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot<any> | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | null;
            $emit: (event: "clicked", event: Event) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                block: {
                    type: import("vue").PropType<boolean>;
                };
                loading: {
                    type: import("vue").PropType<boolean>;
                };
                size: {
                    type: import("vue").PropType<"sm" | "md" | "lg">;
                    default: string;
                };
                type: {
                    type: import("vue").PropType<import("./UIButton.types").TypeButton>;
                    default: string;
                };
                text: {
                    type: import("vue").PropType<string>;
                    default: undefined;
                };
                class: {
                    type: import("vue").PropType<string>;
                    default: undefined;
                };
                color: {
                    type: import("vue").PropType<"default" | "primary" | "secondary" | "success" | "warning" | "error">;
                    default: string;
                };
                target: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                href: {
                    type: import("vue").PropType<string>;
                    default: undefined;
                };
                to: {
                    type: import("vue").PropType<import("vue-router").RouteLocationRaw>;
                    default: undefined;
                };
                icon: {
                    type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
                    default: undefined;
                };
                iconSize: {
                    type: import("vue").PropType<"sm" | "md" | "lg" | "xs" | "xl">;
                    default: undefined;
                };
                theme: {
                    type: import("vue").PropType<import("./UIButton.types").ThemeButton>;
                    default: string;
                };
                align: {
                    type: import("vue").PropType<import("./UIButton.types").AlignButton>;
                    default: string;
                };
                reverseOrder: {
                    type: import("vue").PropType<boolean>;
                };
                disabled: {
                    type: import("vue").PropType<boolean>;
                };
                referrer: {
                    type: import("vue").PropType<boolean>;
                };
                rounded: {
                    type: import("vue").PropType<boolean>;
                };
            }>> & {
                onClicked?: ((event: Event) => any) | undefined;
            }, {
                focus: () => void;
            }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                clicked: (event: Event) => void;
            }, string, {
                size: "sm" | "md" | "lg";
                type: import("./UIButton.types").TypeButton;
                text: string;
                class: string;
                color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
                target: string;
                href: string;
                to: import("vue-router").RouteLocationRaw;
                icon: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip";
                iconSize: "sm" | "md" | "lg" | "xs" | "xl";
                theme: import("./UIButton.types").ThemeButton;
                align: import("./UIButton.types").AlignButton;
            }, {}, string, {}> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            block: {
                type: import("vue").PropType<boolean>;
            };
            loading: {
                type: import("vue").PropType<boolean>;
            };
            size: {
                type: import("vue").PropType<"sm" | "md" | "lg">;
                default: string;
            };
            type: {
                type: import("vue").PropType<import("./UIButton.types").TypeButton>;
                default: string;
            };
            text: {
                type: import("vue").PropType<string>;
                default: undefined;
            };
            class: {
                type: import("vue").PropType<string>;
                default: undefined;
            };
            color: {
                type: import("vue").PropType<"default" | "primary" | "secondary" | "success" | "warning" | "error">;
                default: string;
            };
            target: {
                type: import("vue").PropType<string>;
                default: string;
            };
            href: {
                type: import("vue").PropType<string>;
                default: undefined;
            };
            to: {
                type: import("vue").PropType<import("vue-router").RouteLocationRaw>;
                default: undefined;
            };
            icon: {
                type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
                default: undefined;
            };
            iconSize: {
                type: import("vue").PropType<"sm" | "md" | "lg" | "xs" | "xl">;
                default: undefined;
            };
            theme: {
                type: import("vue").PropType<import("./UIButton.types").ThemeButton>;
                default: string;
            };
            align: {
                type: import("vue").PropType<import("./UIButton.types").AlignButton>;
                default: string;
            };
            reverseOrder: {
                type: import("vue").PropType<boolean>;
            };
            disabled: {
                type: import("vue").PropType<boolean>;
            };
            referrer: {
                type: import("vue").PropType<boolean>;
            };
            rounded: {
                type: import("vue").PropType<boolean>;
            };
        }>> & {
            onClicked?: ((event: Event) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{
            focus: () => void;
        }> & {} & import("vue").ComponentCustomProperties & {};
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        block: {
            type: import("vue").PropType<boolean>;
        };
        loading: {
            type: import("vue").PropType<boolean>;
        };
        size: {
            type: import("vue").PropType<"sm" | "md" | "lg">;
            default: string;
        };
        type: {
            type: import("vue").PropType<import("./UIButton.types").TypeButton>;
            default: string;
        };
        text: {
            type: import("vue").PropType<string>;
            default: undefined;
        };
        class: {
            type: import("vue").PropType<string>;
            default: undefined;
        };
        color: {
            type: import("vue").PropType<"default" | "primary" | "secondary" | "success" | "warning" | "error">;
            default: string;
        };
        target: {
            type: import("vue").PropType<string>;
            default: string;
        };
        href: {
            type: import("vue").PropType<string>;
            default: undefined;
        };
        to: {
            type: import("vue").PropType<import("vue-router").RouteLocationRaw>;
            default: undefined;
        };
        icon: {
            type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
            default: undefined;
        };
        iconSize: {
            type: import("vue").PropType<"sm" | "md" | "lg" | "xs" | "xl">;
            default: undefined;
        };
        theme: {
            type: import("vue").PropType<import("./UIButton.types").ThemeButton>;
            default: string;
        };
        align: {
            type: import("vue").PropType<import("./UIButton.types").AlignButton>;
            default: string;
        };
        reverseOrder: {
            type: import("vue").PropType<boolean>;
        };
        disabled: {
            type: import("vue").PropType<boolean>;
        };
        referrer: {
            type: import("vue").PropType<boolean>;
        };
        rounded: {
            type: import("vue").PropType<boolean>;
        };
    }>> & {
        onClicked?: ((event: Event) => any) | undefined;
    }, {
        focus: () => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        clicked: (event: Event) => void;
    }, string, {
        size: "sm" | "md" | "lg";
        type: import("./UIButton.types").TypeButton;
        text: string;
        class: string;
        color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
        target: string;
        href: string;
        to: import("vue-router").RouteLocationRaw;
        icon: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip";
        iconSize: "sm" | "md" | "lg" | "xs" | "xl";
        theme: import("./UIButton.types").ThemeButton;
        align: import("./UIButton.types").AlignButton;
    }, {}, string, {}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: {
            default?(_: {}): any;
        };
    });
    tags: string[];
    argTypes: ArgTypes<import("@storybook/types").Args>;
    args: {
        type: "button";
        theme: "transparent";
        color: "default";
        size: "md";
        align: "center";
        target: string;
        text: string;
        disabled: false;
    };
};
export default meta;
type Story = StoryObj<typeof UIButton>;
export declare const ThemeSolid: Story;
export declare const ThemeOutline: Story;
export declare const ThemeTransparent: Story;
export declare const ThemeText: Story;
export declare const ColorDefault: Story;
export declare const ColorPrimary: Story;
export declare const ColorSecondary: Story;
export declare const ColorSuccess: Story;
export declare const ColorWarning: Story;
export declare const ColorError: Story;
export declare const Icon: Story;
export declare const IconXs: Story;
export declare const IconSm: Story;
export declare const IconMd: Story;
export declare const IconLg: Story;
export declare const IconXl: Story;
export declare const SizeSm: Story;
export declare const SizeMd: Story;
export declare const SizeLg: Story;
export declare const Default: Story;
export declare const LoadingTransparent: Story;
export declare const LoadingSolid: Story;
export declare const LoadingOutline: Story;
export declare const LoadingText: Story;
export declare const Disabled: Story;
export declare const DisabledSolid: Story;
export declare const DisabledOutline: Story;
export declare const DisabledText: Story;
