import UIInputSelect from './UIInputSelect.vue';
import type { ArgTypes, StoryObj } from '@storybook/vue3';
import type { InputValue } from '@/components/UIInput/UIInput.types';
declare const meta: {
    title: string;
    component: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: {
                options?: InputValue[] | undefined;
                name?: string | undefined;
                size?: "sm" | "md" | "lg" | undefined;
                id?: string | undefined;
                placeholder?: string | undefined;
                modelValue?: string | undefined;
                unknownOption?: string | undefined;
                iconPrepend?: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip" | undefined;
                iconAppend?: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip" | undefined;
                readonly required?: boolean | undefined;
                style?: unknown;
                class?: unknown;
                key?: string | number | symbol | undefined;
                ref?: import("vue").VNodeRef | undefined;
                ref_for?: boolean | undefined;
                ref_key?: string | undefined;
                onVnodeBeforeMount?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeMounted?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeBeforeUpdate?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, oldVNode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, oldVNode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeUpdated?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, oldVNode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, oldVNode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeBeforeUnmount?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                onVnodeUnmounted?: ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void) | ((vnode: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>) => void)[] | undefined;
                readonly disabled?: boolean | undefined;
                "onUpdate:modelValue"?: ((value?: string | undefined) => any) | undefined;
            };
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot<any> | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | null;
            $emit: (event: "update:modelValue", value?: string | undefined) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                options: {
                    type: import("vue").PropType<InputValue[]>;
                    default: () => InputValue[];
                };
                name: {
                    type: import("vue").PropType<string>;
                    default: undefined;
                };
                size: {
                    type: import("vue").PropType<"sm" | "md" | "lg">;
                    default: string;
                };
                required: {
                    type: import("vue").PropType<boolean>;
                };
                id: {
                    type: import("vue").PropType<string>;
                    default: undefined;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: undefined;
                };
                disabled: {
                    type: import("vue").PropType<boolean>;
                };
                modelValue: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                unknownOption: {
                    type: import("vue").PropType<string>;
                    default: undefined;
                };
                iconPrepend: {
                    type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
                    default: undefined;
                };
                iconAppend: {
                    type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
                    default: undefined;
                };
            }>> & {
                "onUpdate:modelValue"?: ((value?: string | undefined) => any) | undefined;
            }, {
                focus: () => void;
            }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                "update:modelValue": (value?: string | undefined) => void;
            }, string, {
                options: InputValue[];
                name: string;
                size: "sm" | "md" | "lg";
                id: string;
                placeholder: string;
                modelValue: string;
                unknownOption: string;
                iconPrepend: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip";
                iconAppend: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip";
            }, {}, string, {}> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            options: {
                type: import("vue").PropType<InputValue[]>;
                default: () => InputValue[];
            };
            name: {
                type: import("vue").PropType<string>;
                default: undefined;
            };
            size: {
                type: import("vue").PropType<"sm" | "md" | "lg">;
                default: string;
            };
            required: {
                type: import("vue").PropType<boolean>;
            };
            id: {
                type: import("vue").PropType<string>;
                default: undefined;
            };
            placeholder: {
                type: import("vue").PropType<string>;
                default: undefined;
            };
            disabled: {
                type: import("vue").PropType<boolean>;
            };
            modelValue: {
                type: import("vue").PropType<string>;
                default: string;
            };
            unknownOption: {
                type: import("vue").PropType<string>;
                default: undefined;
            };
            iconPrepend: {
                type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
                default: undefined;
            };
            iconAppend: {
                type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
                default: undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((value?: string | undefined) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{
            focus: () => void;
        }> & {} & import("vue").ComponentCustomProperties & {};
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        options: {
            type: import("vue").PropType<InputValue[]>;
            default: () => InputValue[];
        };
        name: {
            type: import("vue").PropType<string>;
            default: undefined;
        };
        size: {
            type: import("vue").PropType<"sm" | "md" | "lg">;
            default: string;
        };
        required: {
            type: import("vue").PropType<boolean>;
        };
        id: {
            type: import("vue").PropType<string>;
            default: undefined;
        };
        placeholder: {
            type: import("vue").PropType<string>;
            default: undefined;
        };
        disabled: {
            type: import("vue").PropType<boolean>;
        };
        modelValue: {
            type: import("vue").PropType<string>;
            default: string;
        };
        unknownOption: {
            type: import("vue").PropType<string>;
            default: undefined;
        };
        iconPrepend: {
            type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
            default: undefined;
        };
        iconAppend: {
            type: import("vue").PropType<"warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip">;
            default: undefined;
        };
    }>> & {
        "onUpdate:modelValue"?: ((value?: string | undefined) => any) | undefined;
    }, {
        focus: () => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": (value?: string | undefined) => void;
    }, string, {
        options: InputValue[];
        name: string;
        size: "sm" | "md" | "lg";
        id: string;
        placeholder: string;
        modelValue: string;
        unknownOption: string;
        iconPrepend: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip";
        iconAppend: "warning" | "add" | "advise" | "agrisom-logo-min" | "alert" | "arrow-right" | "attach" | "autonomo" | "bell-active" | "bell" | "block" | "building" | "calendar-check" | "calendar-view-3days" | "calendar-view-agenda" | "calendar-view-day" | "calendar-view-month" | "calendar-view-week" | "calendar" | "campaign" | "car-side" | "car" | "cat" | "chart-line" | "check-circle" | "check-double" | "check" | "checkbox-false" | "checkbox-true" | "checkbox-undefined" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "child" | "cibersegurity" | "circle-check" | "circle-dot" | "circle-empty" | "circle-exclamation" | "circle" | "cliente-base" | "cliente-default" | "cliente-integral" | "cliente-mas" | "cliente-potencial" | "clock" | "clone" | "close" | "cloud-upload" | "comment" | "copy" | "dev" | "dog" | "edit" | "email" | "eye-slash" | "eye" | "fact-check" | "factory" | "family" | "fav-fill" | "fav" | "file" | "filter-off" | "filter" | "google-calendar" | "group" | "groups" | "health" | "herramientas" | "home" | "hub" | "info" | "job" | "kanban" | "label-new" | "label" | "link" | "loading" | "lock" | "login" | "logout" | "long-bus-side" | "long-truck-side" | "mail" | "menu" | "minus" | "more-vertical" | "more" | "motorbike-side" | "motorcycle" | "offer" | "open" | "opportunity" | "options" | "outgoing-mail" | "paperclip" | "patrimonial" | "people" | "phone" | "piggy-bank" | "pin" | "policy" | "question-circle" | "quote" | "refresh" | "relation-add" | "reply" | "robot" | "save-as" | "save" | "search" | "settings" | "share" | "shopping-cart" | "sign" | "slideshare" | "sms" | "sort-down" | "sort-up" | "sort" | "store" | "subtask" | "tasks" | "thumbs-down" | "thumbs-up" | "time" | "tractor" | "trash" | "travel-explore" | "triangle-exclamation" | "truck-side" | "truck" | "user-shield" | "user" | "users" | "van-side" | "video-call" | "whatsapp" | "wip";
    }, {}, string, {}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: {
            default?(_: {}): any;
        };
    });
    tags: string[];
    argTypes: ArgTypes<import("@storybook/types").Args>;
    args: {
        id: undefined;
        name: string;
        placeholder: string;
        modelValue: string;
        options: InputValue[];
        iconPrepend: undefined;
        iconAppend: undefined;
        size: "md";
        disabled: false;
        required: false;
    };
};
export default meta;
type Story = StoryObj<typeof UIInputSelect>;
export declare const Default: Story;
export declare const Placeholder: Story;
export declare const IconPrepend: Story;
export declare const IconAppend: Story;
export declare const SizeSm: Story;
export declare const SizeMd: Story;
export declare const SizeLg: Story;
export declare const Disabled: Story;
export declare const UnknownOption: Story;
export declare const FieldLabel: Story;
export declare const FieldLabelHidden: Story;
export declare const Required: Story;
export declare const Success: Story;
export declare const Error: Story;
export declare const Hint: Story;
