import UITable from './UITable.vue';
import type { ArgTypes, StoryObj } from '@storybook/vue3';
import type { DataHeader, DataPaginationSort } from '@/shared/types/data.type';
interface MockItemType {
    id: string;
    title: string;
    datefrom: string;
    dateto: string;
    status: string;
    description: string;
    users: number[];
}
declare const meta: {
    title: string;
    component: (__VLS_props: {
        name: string;
        items?: MockItemType[] | undefined;
        headers?: DataHeader<MockItemType>[] | undefined;
        dynamicColumns?: boolean | undefined;
        selectable?: boolean | undefined;
        loading?: boolean | undefined;
        loadingText?: string | undefined;
        emptyText?: string | undefined;
        handleFromServer?: boolean | undefined;
        selectedItems?: Set<string> | undefined;
        highlightedItems?: Set<string> | undefined;
        color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
        paginationSort?: DataPaginationSort<MockItemType> | undefined;
    } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, __VLS_ctx?: Pick<{
        props: {
            name: string;
            items?: MockItemType[] | undefined;
            headers?: DataHeader<MockItemType>[] | undefined;
            dynamicColumns?: boolean | undefined;
            selectable?: boolean | undefined;
            loading?: boolean | undefined;
            loadingText?: string | undefined;
            emptyText?: string | undefined;
            handleFromServer?: boolean | undefined;
            selectedItems?: Set<string> | undefined;
            highlightedItems?: Set<string> | undefined;
            color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
            paginationSort?: DataPaginationSort<MockItemType> | undefined;
        };
        expose(exposed: {}): void;
        attrs: any;
        slots: Partial<Record<`${string}-cell`, (_: {
            item: MockItemType;
            value: string | number[];
        }) => any>> & {
            "append-cell"?(_: {
                item: MockItemType;
            }): any;
            "message-content"?(_: {}): any;
        };
        emit: {
            (e: "update:headers", headers: DataHeader<MockItemType>[]): void;
            (e: "update:paginationSort", paginationSort: DataPaginationSort<MockItemType>): void;
            (e: "update:selectedItems", selectedItems: Set<string>): void;
        };
    }, "slots" | "attrs" | "emit"> | undefined, __VLS_setup?: Promise<{
        props: {
            name: string;
            items?: MockItemType[] | undefined;
            headers?: DataHeader<MockItemType>[] | undefined;
            dynamicColumns?: boolean | undefined;
            selectable?: boolean | undefined;
            loading?: boolean | undefined;
            loadingText?: string | undefined;
            emptyText?: string | undefined;
            handleFromServer?: boolean | undefined;
            selectedItems?: Set<string> | undefined;
            highlightedItems?: Set<string> | undefined;
            color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
            paginationSort?: DataPaginationSort<MockItemType> | undefined;
        };
        expose(exposed: {}): void;
        attrs: any;
        slots: Partial<Record<`${string}-cell`, (_: {
            item: MockItemType;
            value: string | number[];
        }) => any>> & {
            "append-cell"?(_: {
                item: MockItemType;
            }): any;
            "message-content"?(_: {}): any;
        };
        emit: {
            (e: "update:headers", headers: DataHeader<MockItemType>[]): void;
            (e: "update:paginationSort", paginationSort: DataPaginationSort<MockItemType>): void;
            (e: "update:selectedItems", selectedItems: Set<string>): void;
        };
    }>) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> & {
        __ctx?: {
            props: {
                name: string;
                items?: MockItemType[] | undefined;
                headers?: DataHeader<MockItemType>[] | undefined;
                dynamicColumns?: boolean | undefined;
                selectable?: boolean | undefined;
                loading?: boolean | undefined;
                loadingText?: string | undefined;
                emptyText?: string | undefined;
                handleFromServer?: boolean | undefined;
                selectedItems?: Set<string> | undefined;
                highlightedItems?: Set<string> | undefined;
                color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
                paginationSort?: DataPaginationSort<MockItemType> | undefined;
            };
            expose(exposed: {}): void;
            attrs: any;
            slots: Partial<Record<`${string}-cell`, (_: {
                item: MockItemType;
                value: string | number[];
            }) => any>> & {
                "append-cell"?(_: {
                    item: MockItemType;
                }): any;
                "message-content"?(_: {}): any;
            };
            emit: {
                (e: "update:headers", headers: DataHeader<MockItemType>[]): void;
                (e: "update:paginationSort", paginationSort: DataPaginationSort<MockItemType>): void;
                (e: "update:selectedItems", selectedItems: Set<string>): void;
            };
        } | undefined;
    };
    tags: string[];
    argTypes: ArgTypes<import("@storybook/types").Args>;
    args: {
        name: string;
        items: MockItemType[];
        headers: DataHeader<MockItemType>[];
        dynamicColumns: false;
        selectable: false;
        loading: false;
        loadingText: string;
        emptyText: string;
        selectedItems: Set<string>;
        highlightedItems: Set<string>;
        color: "default";
        paginationSort: DataPaginationSort<MockItemType>;
        handleFromServer: false;
    };
    render: (args: import("@storybook/vue3").ComponentPropsAndSlots<typeof UITable<MockItemType>>) => {
        components: {
            UITable: <T extends object>(__VLS_props: {
                name: string;
                items?: T[] | undefined;
                headers?: DataHeader<T>[] | undefined;
                dynamicColumns?: boolean | undefined;
                selectable?: boolean | undefined;
                loading?: boolean | undefined;
                loadingText?: string | undefined;
                emptyText?: string | undefined;
                handleFromServer?: boolean | undefined;
                selectedItems?: Set<string> | undefined;
                highlightedItems?: Set<string> | undefined;
                color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
                paginationSort?: DataPaginationSort<T> | undefined;
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, __VLS_ctx?: Pick<{
                props: {
                    name: string;
                    items?: T[] | undefined;
                    headers?: DataHeader<T>[] | undefined;
                    dynamicColumns?: boolean | undefined;
                    selectable?: boolean | undefined;
                    loading?: boolean | undefined;
                    loadingText?: string | undefined;
                    emptyText?: string | undefined;
                    handleFromServer?: boolean | undefined;
                    selectedItems?: Set<string> | undefined;
                    highlightedItems?: Set<string> | undefined;
                    color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
                    paginationSort?: DataPaginationSort<T> | undefined;
                };
                expose(exposed: {}): void;
                attrs: any;
                slots: Partial<Record<`${string}-cell`, (_: {
                    item: T;
                    value: T[keyof T];
                }) => any>> & {
                    "append-cell"?(_: {
                        item: T;
                    }): any;
                    "message-content"?(_: {}): any;
                };
                emit: {
                    (e: "update:headers", headers: DataHeader<T>[]): void;
                    (e: "update:paginationSort", paginationSort: DataPaginationSort<T>): void;
                    (e: "update:selectedItems", selectedItems: Set<string>): void;
                };
            }, "slots" | "attrs" | "emit"> | undefined, __VLS_setup?: Promise<{
                props: {
                    name: string;
                    items?: T[] | undefined;
                    headers?: DataHeader<T>[] | undefined;
                    dynamicColumns?: boolean | undefined;
                    selectable?: boolean | undefined;
                    loading?: boolean | undefined;
                    loadingText?: string | undefined;
                    emptyText?: string | undefined;
                    handleFromServer?: boolean | undefined;
                    selectedItems?: Set<string> | undefined;
                    highlightedItems?: Set<string> | undefined;
                    color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
                    paginationSort?: DataPaginationSort<T> | undefined;
                };
                expose(exposed: {}): void;
                attrs: any;
                slots: Partial<Record<`${string}-cell`, (_: {
                    item: T;
                    value: T[keyof T];
                }) => any>> & {
                    "append-cell"?(_: {
                        item: T;
                    }): any;
                    "message-content"?(_: {}): any;
                };
                emit: {
                    (e: "update:headers", headers: DataHeader<T>[]): void;
                    (e: "update:paginationSort", paginationSort: DataPaginationSort<T>): void;
                    (e: "update:selectedItems", selectedItems: Set<string>): void;
                };
            }>) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> & {
                __ctx?: {
                    props: {
                        name: string;
                        items?: T[] | undefined;
                        headers?: DataHeader<T>[] | undefined;
                        dynamicColumns?: boolean | undefined;
                        selectable?: boolean | undefined;
                        loading?: boolean | undefined;
                        loadingText?: string | undefined;
                        emptyText?: string | undefined;
                        handleFromServer?: boolean | undefined;
                        selectedItems?: Set<string> | undefined;
                        highlightedItems?: Set<string> | undefined;
                        color?: "default" | "primary" | "secondary" | "success" | "warning" | "error" | undefined;
                        paginationSort?: DataPaginationSort<T> | undefined;
                    };
                    expose(exposed: {}): void;
                    attrs: any;
                    slots: Partial<Record<`${string}-cell`, (_: {
                        item: T;
                        value: T[keyof T];
                    }) => any>> & {
                        "append-cell"?(_: {
                            item: T;
                        }): any;
                        "message-content"?(_: {}): any;
                    };
                    emit: {
                        (e: "update:headers", headers: DataHeader<T>[]): void;
                        (e: "update:paginationSort", paginationSort: DataPaginationSort<T>): void;
                        (e: "update:selectedItems", selectedItems: Set<string>): void;
                    };
                } | undefined;
            };
        };
        setup(this: void): {
            args: import("@storybook/vue3").ComponentPropsAndSlots<typeof UITable<MockItemType>>;
        };
        template: string;
    };
};
export default meta;
type Story = StoryObj<typeof UITable<MockItemType>>;
export declare const Default: Story;
export declare const NoHeaders: Story;
export declare const SelectedItems: Story;
export declare const HighlightedItems: Story;
export declare const ColorPrimary: Story;
export declare const ColorSecondary: Story;
export declare const DynamicColumns: Story;
export declare const Loading: Story;
export declare const LoadingMore: Story;
export declare const Empty: Story;
export declare const RowsPerPage5: Story;
export declare const HandleFromServer: Story;
export declare const ScrollInitPageTwo: Story;
export declare const WithSlots: Story;
