export interface DataHeader<T> {
    key: keyof T;
    title: string;
    fixed?: boolean;
    hidden?: boolean;
    sortable?: boolean;
    comparator?: (a: T, b: T, desc: boolean) => number;
}
export interface DataPaginationSort<T> {
    sortBy?: keyof T;
    sortDirection?: 'asc' | 'desc';
    page: number;
    rowsPerPage: number;
    totalItems?: number;
    entityText?: string;
    entitySeparatorText?: string;
    pageButtonText?: string;
    scrollPosition?: number;
}
export interface DataStorageHeaders {
    table: string;
    headers: string[];
}
